xquery version "3.1";

import module namespace gramm="http://grammateus.ch/gramm" at "modules/gramm.xql";
import module namespace URI="http://grammateus.ch/URI" at "modules/uri.xql";

declare namespace tei = "http://www.tei-c.org/ns/1.0";



for $doc in collection($URI:papyri)
let $hgv_data := gramm:doc-expand-history($doc)

return
    (: If HGV data exists :)
    if ($hgv_data//tei:origin) then
        (: either replace existing data in papyrus file :)
        if ($doc//tei:origin and $doc//tei:provenance) then
            (
                update replace $doc//tei:origin with $hgv_data//tei:origin,
                (: optional provenance :)
                if ($hgv_data//tei:provenance) then update replace $doc//tei:provenance with $hgv_data//tei:provenance else()
             )
        (: or update papyrus file with new  :)
        else
            (
                update insert $hgv_data//tei:origin into $doc//tei:history,
                (: optional provenance :)
                if ($hgv_data//tei:provenance) then update insert $hgv_data//tei:provenance into $doc//tei:history else()
            )
    (: If HGV data does not exist, then log that info somewhere :)
    else(util:log('WARN', concat('HGV date/origin could not be found for ', $doc//tei:idno[@type eq 'TM'])))